Show / Hide Table of Contents

# Class DataEventArgs

Wraps the data sent/received event argument.

##### Inheritance

Object
EventArgs
DataEventArgs

##### Inherited Members

EventArgs.Empty
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.StreamExtended.Network

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class DataEventArgs : EventArgs

### Constructors

| Improve this Doc View Source

#### DataEventArgs(Byte[], Int32, Int32)

##### Declaration

    public DataEventArgs(byte[] buffer, int offset, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | buffer |
Int32 | offset |
Int32 | count |

### Properties

| Improve this Doc View Source

#### Buffer

The buffer with data.

##### Declaration

    public byte[] Buffer { get; }

##### Property Value

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### Count

Length from offset in buffer with valid data.

##### Declaration

    public int Count { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### Offset

Offset in buffer from which valid data begins.

##### Declaration

    public int Offset { get; }

##### Property Value

Type | Description
--- | ---
Int32 |